Role : docker_host
==================-

Configure un hote de sorte qu'il soit prêt à accueillir des conteneurs docker. Configure également un conteneur traefik prêt à servir de reverse proxy local pour les applications web.


Utilisation
-----------

Le rôle s'utilise sans paramètre. Il est cependant possible d'agir sur les paramètres suivants :

| Paramètre                       | Valeur par défaut | Description                                                                                            |
|---------------------------------|-------------------|--------------------------------------------------------------------------------------------------------|
| docker_host_data_dir            | /data1/docker     | Répertoire de base de stockage par docker des images et conteneurs (valeur par défaut recommandée)     |
| docker_host_traefik_trusted_ips | []                | liste des reverse proxy de confiance pour traefik, pour la récupération des entêtes http               |
| docker_host_traefik_enabled     | true              | Indique si le reverse proxy local traefik doit être installé et activé (valeur par défaut recommandée) |
| docker_host_traefik_admin       |                   | Chaine user + mdp chiffré pour l'accès à l'interface de traefik sur le port 8443                       |
| docker_host_user_namespaces     | true              | Permet de activer/désactiver les user namespaces docker sur l'hôte                                     |

Par exemple :
```yaml
docker_host_traefik_admin: "admin:$$apr1$$HWiac5ae$$fBaMfNze1G96R2d5ntiID/"
docker_host_traefik_trusted_ips: 10.1.2.3
```

A noter : la valeur de docker_host_traefik_admin pour un compte d'accès "admin" avec mot de passe "4dm1n" s'obtient par :
```sh
echo $(htpasswd -nb admin 4dm1n) | sed -e s/\\$/\\$\\$/g
```
